package supplier

import (
	"context"
	"git.oa00.com/supply-chain/service/client"
)

type orderCancelApply struct {
}

type ArgsOrderCancelApply struct {
	ChannelId  uint
	OrderSubSn string
	Reason     string
}

// Apply @Title 申请取消订单
func (o *orderCancelApply) Apply(ctx context.Context, args ArgsOrderCancelApply) error {
	xClient, err := client.GetClient(o)
	if err != nil {
		return err
	}
	reply := 0
	return xClient.Call(ctx, "Apply", args, &reply)
}
